Get a person's opted out status by ID or email
curl --request GET \
--url https://api.rallyuxr.com/api/public/v1/people/{personIdOrEmail}/opted-out \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rallyuxr.com/api/public/v1/people/{personIdOrEmail}/opted-out"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rallyuxr.com/api/public/v1/people/{personIdOrEmail}/opted-out', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"personId": "<string>",
"email": "<string>",
"isOptedOut": true
}"Unauthorized""Forbidden""{Resource} not found""Too Many Requests""Internal Server Error"People
Get a person's opted out status by ID or email
Pass either the person ID or email to get the opted out status
GET
/
people
/
{personIdOrEmail}
/
opted-out
Get a person's opted out status by ID or email
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id or email of the person. The id is the internal id of the person or if the email passed is valid then it will be used for lookup
Example:
"cm0b4eokq000vbbsimwelll3u"
⌘I